# processBeforeInitialization method

Future<Object?> processBeforeInitialization(

1. Object pod,
2. Class podClass,
3. String name

)

Apply this post-processor to the given new pod instance before any pod initialization callbacks.

The pod will already be populated with property values at this point. The returned pod instance may be a wrapper around the original.

## Parameters

- `pod`: The new pod instance
- `podClass`: The class of the pod
- `name`: The name of the pod

## Return Value

Returns the pod instance to use, either the original or a wrapped one. If null is returned, subsequent post-processors will not be invoked.

## Implementation

    Future<Object?> processBeforeInitialization(Object pod, Class podClass, String name) async => null;